Subject: SIP/Goland: Splitting the document

From: Henning Schulzrinne <[email-masked]>
Date: Tue, 28 Apr 1998 09:05:35 -0400

Clearly, the SIP spec could benefit from being split, as it is
approaching a somewhat unwieldy size at around 90 pages.

Splitting out the security section seems fine, as it would make adding
others (e.g., S/MIME) easier. SNMP, for example, has done similar
things, so as long as there is a normative reference, one would hope
that the IESG would accept that.

Splitting out the UDP part seems harder, but it's more or less a section
(10/11).

Yes, some of us realize that SIP solves a large part of the notification
problem and just have been too busy to keep up with the relevant WG
mailing list (or write a draft). I'm not fundamentally opposed to
changing Call-ID, but the loss of backward compatibility with current
SIP seems worse than a slightly awkward name for a notification.

[Some of the items, e.g., in terms of connection management, have, I
believe, been addressed in the current version.]